<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./assets/css/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <header>
        <div class="logo">
            <a href="index.html">
                <img src="./assets/img/default2.svg" alt="logo da farofinha">
            </a>

        </div>
        <div class="menu">
            <div class="search">
                <input type="search" name="search" id="search" placeholder="Procure aqui a receita!">
                <button type="submit"><i class="fa fa-search"></i></button>
            </div>
            <div class="nav">
                <a href="form_receita.html">Crie sua receita!</a>
                <a href="list_receitas.html">Todas as receitas</a>
                <a href="cadastro.html"> Cadastre-se</a>
                <a href="login.html">Login</a>
                <a href="list_users.html">Usuários</a>
            </div>
        </div>
    </header>
    <main>
        <div class="form">
            <h2>Preencha com as informaçoes da sua receita</h2>
            <form method="post" action="http://localhost:3000/recipes/new" target="_new">
                <div class="form-group">
                    <label for="nome">Nome da receita:</label>
                    <input type="text" name="nome" id="inputName">
                </div>
                <div class="form-group">
                    <label for="categoria">Categoria:</label>
                    <select name="categoria" id="inputCategoria">
                        <option value="doce">Salgado</option>
                        <option value="salgado">Doce</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="rendimento">Rendimento(porçoes):</label>
                    <input type="number" name="rendimento" id="inputRendimento">
                </div>
                <div class="form-group">
                    <label for="tempo">Tempo de preparo (minutos):</label>
                    <input type="number" name="tempo" id="inputTempo">
                </div>
                <div class="form-group">
                    <label for="dificuldade">Dificuldade:</label>
                    <select name="dificuldade" id="inputDificuldade">
                        <option value="1">1 ( Muito facil )</option>
                        <option value="2">2 ( facil )</option>
                        <option value="3">3 ( Normal )</option>
                        <option value="4">4 ( Dificil )</option>
                        <option value="5">5 ( Muito dificil )</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="ingredientes">Ingredientes:</label>
                    <div id="ingredientes">
                        <div class="divIngrediente">
                            <input type="text" name="ingredientes" class="inputIngredientes">
                            <button type="button" class="buttonIngrediente btnAdd"
                                onclick="addIngrediente(event)">+</button>
                            <button type="button" class="buttonIngrediente btnRemove"
                                onclick="removeIngrediente(event)">-</button>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="passos">Como fazer(Digite passo a passo): </label>
                    <div id="passos">
                        <div class="divPassos">
                            <input type="text" name="passos" class="inputPassos">
                            <button type="button" class="buttonPassos btnAdd" onclick="addPasso(event)">+</button>
                            <button type="button" class="buttonPassos btnRemove" onclick="removePasso(event)">-</button>
                        </div>
                    </div>
                </div>

                <div class="form-group"><button type="submit" class="buttonSubmit">Enviar!</button></div>
            </form>
        </div>
    </main>
    <footer>
        <h2>FEITO POR MARCOS NOVAES</h2>
        <a href="https://github.com/marcosnovaesq">Github</a>
        <a href="https://www.linkedin.com/in/marcos-novaes-006202136/">Linkedin</a>
    </footer>
    <script src="./assets/js/script.js"></script>
</body>

</html>